Open Lighting Architecture: ola::plugin::usbpro::EnttecUsbProWidgetImpl Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbpro::EnttecUsbProWidgetImpl Class Reference
Inheritance diagram for ola::plugin::usbpro::EnttecUsbProWidgetImpl:

## Public Member Functions
| EnttecUsbProWidgetImpl (ola::thread::SchedulerInterface *scheduler, ola::io::ConnectedDescriptor *descriptor, const EnttecUsbProWidget::EnttecUsbProWidgetOptions &options)
void | GetPortAssignments (EnttecUsbProWidget::EnttecUsbProPortAssignmentCallback *callback)
void | Stop ()
unsigned int | PortCount () const
EnttecPort * | GetPort (unsigned int i)
bool | SendCommand (uint8_t label, const uint8_t *data, unsigned int length)
Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
| BaseUsbProWidget (ola::io::ConnectedDescriptor *descriptor)
ola::io::ConnectedDescriptor * | GetDescriptor () const
void | DescriptorReady ()
virtual bool | SendDMX (const DmxBuffer &buffer)
bool | SendMessage (uint8_t label, const uint8_t *data, unsigned int length) const

## Additional Inherited Members
Static Public Member Functions inherited from ola::plugin::usbpro::BaseUsbProWidget
static ola::io::ConnectedDescriptor * | OpenDevice (const std::string &path)
Static Public Attributes inherited from ola::plugin::usbpro::BaseUsbProWidget
static const uint8_t | DEVICE_LABEL = 78
static const uint8_t | DMX_LABEL = 6
static const uint8_t | GET_PARAMS = 3
static const uint8_t | HARDWARE_VERSION_LABEL = 14
static const uint8_t | MANUFACTURER_LABEL = 77
static const uint8_t | SERIAL_LABEL = 10

## Member Function Documentation

## ◆ GetPort()

EnttecPort * ola::plugin::usbpro::EnttecUsbProWidgetImpl::GetPort | ( | unsigned int | i | ) |

Given an index, return the EnttecPort

## ◆ SendCommand()

bool ola::plugin::usbpro::EnttecUsbProWidgetImpl::SendCommand | ( | uint8_t | label,
|  | const uint8_t * | data,
|  | unsigned int | length )

Send a command to the widget

## ◆ Stop()

void ola::plugin::usbpro::EnttecUsbProWidgetImpl::Stop | ( |  | ) |
| virtual

Stop this widget

Implements ola::plugin::usbpro::SerialWidgetInterface.

The documentation for this class was generated from the following file:

- plugins/usbpro/EnttecUsbProWidget.cpp